<?php
/**
 * @package Iyosis Piwik for Joomla! 1.5
 * @author Remzi Degirmencioglu
 * @copyright (C) 2011 www.iyosis.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); ?>

<?php
// case error
if(!$this->getVisitsData) print("Error, content fetched"); ?>
<div class="widget">
	<div class="widgetTop"><div class="widgetName"><?php echo JText::_( 'Last visits graph' ); ?></div><div class="widgetConf"><?php echo JText::_( '(day, last30)' ); ?></div></div>
	<div class="widgetContent">
		<table cellspacing="0" class="dataTable"> 
			<tbody>
				<div id="getVisits" style="width:100%;height:<?php echo $this->task=='visitors' ? 300 : 250 ?>px;"></div>
				<script id="source" language="javascript" type="text/javascript">
				jQuery.noConflict();
				jQuery(function () {
					jQuery.jqplot.config.enablePlugins = true;
					getVisits = [
					<?php
					$counter = '1';
					foreach($this->getVisitsData as $key => $value)
					{
						$visits = $value['nb_visits'] ? $value['nb_visits'] : '0';
						print("['".$key."', ".$visits."]");
						if($counter < '31') print(",");
						if($counter == '1') $minDate = $key;
						if($counter == '31') $maxDate = $today = $key;
						++$counter;
					}
					?>
					];

					getUniqueVisits = [
					<?php
					$counter = '1';
					foreach($this->getVisitsData as $key => $value)
					{
						$visits = $value['nb_visits'] ? $value['nb_uniq_visitors'] : '0';
						print("['".$key."', ".$visits."]");
						if($counter < '31') print(",");
						if($counter == '1') $minDate = $key;
						if($counter == '31') $maxDate = $key;
						++$counter;
					}
					?>
					];

					getBounceCount = [
					<?php
					$counter = '1';
					foreach($this->getVisitsData as $key => $value)
					{
						$visits = $value['nb_visits'] ? $value['bounce_count'] : '0';
						print("['".$key."', ".$visits."]");
						if($counter < '31') print(",");
						if($counter == '1') $minDate = $key;
						if($counter == '31') $maxDate = $key;
						++$counter;
					}
					?>
					];

					jQuery.jqplot('getVisits', [getVisits,getUniqueVisits,getBounceCount], {
						legend:{show:true},
						highlighter: {
							sizeAdjust: 7.5,
							formatString: '<table style="font-size:15px" class="jqplot-highlighter"><tr><td><b>%s</b></td></tr><tr><td><b>%d</b></td></tr></table>'
						},
						cursor: {show: false},
						gridPadding:{top:10, right:20, bottom:23, left:50},
						axes:{
							xaxis:{renderer:jQuery.jqplot.DateAxisRenderer, min:'<?php echo $minDate ?>', max:'<?php echo $maxDate ?>', numberTicks:4, tickOptions:{markSize: 2,formatString:'%b %#d, %Y'}},
							yaxis:{min:0, tickOptions:{formatString:'%.0f'}}
						},
						seriesDefaults: {
							lineWidth:1,
							markerOptions:{size: 4}
						},
						series:[
							{label:'Visits'},
							{label:'Unique visits'},
							{label:'Bounce count'}
						]
					});
				});
				</script>
			</tbody>
		</table>
	</div>
</div>
